Skip to content

Get custom field values for users, groups, roles, and organizations

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.

Get custom field values for users, groups, roles, and organizations through filtering conditions.

Method name

ManagementClient.getCustomData

Request parameters

NameTypeIs it requiredDefault valueDescriptionSample value
tenantIdstringyes-Tenant ID642c1df417c2d8a80d744c1d
targetTypestringyes-Target object type:
- USER: User
- ROLE: Role
- GROUP: Group
- DEPARTMENT: Department
USER
targetIdentifierstringyes-Unique identifier of the target object:
- If it is a user, it is the user's ID, such as 6343b98b7cfxxx9366e9b7c
- If it is a role, it is the role's code, such as admin
- If it is a group, it is the group's code, such as developer
- If it is a department, it is the department's ID, such as 6343bafc019xxxx889206c4c
userId1
namespacestringno-The code of the permission group, which needs to be filled in when targetType is a role, otherwise it can be ignoreddefault

Sample code

ts
import { ManagementClient, Models } from "authing-node-sdk";

// Initialize ManagementClient
const managementClient = new ManagementClient({
  // Need to be replaced with your GenAuth Access Key ID
  accessKeyId: "GEN_AUTH_ACCESS_KEY_ID",
  // Need to be replaced with your GenAuth Access Key Secret
  accessKeySecret: "GEN_AUTH_ACCESS_KEY_SECRET",
  // If it is a private deployment customer, you need to set the GenAuth service domain name
  // host: 'https://api.your-authing-service.com'
});

(async () => {
  const result = await managementClient.getCustomData({
    targetType: "USER",
    targetIdentifier: "userId1",
    namespace: "default",
  });

  console.log(JSON.stringify(result, null, 2));
})();

Request response

Type: GetCustomDataRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful requests are not returned). For a detailed list of error codes, see: API Code List
requestIdstringRequest ID. Returned when the request fails.
dataobjectSpecific custom data value

Sample result:

json
{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "age": 18,
    "school": "pku"
  }
}

Data structure

Agent infrastructure for identity, memory, and web action.